function [model_time,nz,zp,zw,rho,p,u,v,w_at_p,ke,uvar,vvar,wvar,     ...
          tke,uflx,vflx,rho_at_w,w,water,vapour,liquid,frozen,etat,qvar,   ...
          qflx,etaflx,temperature,p_at_w,rh,n2,alpha,cld_frac,    ...
          rad_trcr,rad_trcr_var,updraft_indi,entrainment,         ...
          detrainment,pe_dissipation,ke_dissipation,ie_dissipation]   ...
          = read_a_column(yfile)
% Read and unpack a column of horizontal mean
% data from the specified file

% Read the data
coldiags = load(yfile,'-ascii');
coldiags = coldiags';

% Unpack the data

% Pointer to next data
ptr = 1;

% Check time
model_time = coldiags(ptr);
ptr = ptr + 1;

% Number of model levels
nz = round(coldiags(ptr));
ptr = ptr + 1;

% p-level heights (km)
zp = coldiags(ptr:ptr+nz-1)/1000;
ptr = ptr + nz;

% w-level heights (km)
zw = coldiags(ptr:ptr+nz)/1000;
ptr = ptr + nz + 1;

% rho
rho = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% p
p = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% u
u = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% v
v = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% w_at_p
w_at_p = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% KE
ke = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% u-variance
uvar = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% v-variance
vvar = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% w-variance
wvar = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% tke
tke = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% u flux
uflx = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% v flux
vflx = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% rho_at_w
rho_at_w = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% w
w = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% water
water = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% vapour
vapour = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% liquid
liquid = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% frozen
frozen = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% entropy
etat = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% q variance
qvar = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% q flux
qflx = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% eta flux
etaflx = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% Temperature
temperature = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% Pressure on w levels
p_at_w = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% RH
rh = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% N^2
n2 = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% alpha
alpha = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% cloud fraction
cld_frac = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% radioactive tracer
rad_trcr = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% radioactive tracer variance
rad_trcr_var = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% updraft indicator
updraft_indi = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% entrainment
entrainment = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% detrainment
detrainment = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

% potential energy disspation
pe_dissipation = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% kinetic energy disspation
ke_dissipation = coldiags(ptr:ptr+nz-1);
ptr = ptr + nz;

% internal energy disspation
ie_dissipation = coldiags(ptr:ptr+nz);
ptr = ptr + nz + 1;

end

